import { z } from 'zod';

/**
 * Schema Zod para validar um cliente.
 */
export const customerSchema = z.object({
  id: z.number(),
  name: z.string(),
  estcob: z.string(),
});

/**
 * Type para cliente inferido do schema.
 */
export type Customer = z.infer<typeof customerSchema>;
